[Extension][RC] .yml check - Compatibilité version 3.3.x

Présentations des extensions disponibles et compatibles pour les forums en version 3.2.x et 3.3.x de phpBB.
Message par Fred »
Avatar du membre
Fred Fred
Messages : 2655
Enregistré depuis : 3 ans 1 mois
Identité : Fred Rimbert
Site internet : https://caforum.fr
Localisation : Pays de la Loire
Intérêt : GitHub

.yml check - Compatibilité version 3.3.x

Message

Image

Cette extension vérifiera seulement que la syntaxe des fichiers .yml est compatible avec phpBB 3.3

Image

Fonctionnalités :
  • Répertorie l'état de toutes les extensions.
  • Affiche une comparaison entre le fichier "d'origine" et le fichier "reformaté".
  • Souligne la différence entre les deux fichiers
  • Option pour désactiver une extension contenant des erreurs et / ou des requêtes

La raison de cette extension est que dans phpBB 3.3 il y a un changement dans Symfony qui nécessite que les fichiers .yml ait une syntaxe particulière. Il existe des extensions, probablement assez anciennes, qui peuvent ne pas être conformes à cette syntaxe empêchant le bon fonctionnement de l'extension.



extservicescheck-v2.1.0-RC8.zip
Patch français > ici




Fonctionnement

Lorsqu'il y a un problème de compatibilité avec une extension ceci s'affichera

Image

Le nom du fichier à modifier apparaît en caractère gras


Au clique sur l'icône en rouge cela va afficher la ou les modifications(s) à faire

Image


Une fois les modifications faites et après actualisation du forum tout sera conforme

Image



Prudence

Comme on peut le voir sur cette image, la modification proposée n'est pas correcte

Image

La solution proposée est de modifier ainsi :

Code : Tout sélectionner

'%core.table_prefix%forum_list's
L'apostrophe n'est pas placé correctement, il doit être placé après le s, en fin de ligne ainsi :

Code : Tout sélectionner

'%core.table_prefix%forum_lists'
Vous devez être membre du forum pour afficher les fichiers joints à ce message.
Message par Fred »
Avatar du membre
Fred Fred
Messages : 2655
Enregistré depuis : 3 ans 1 mois
Identité : Fred Rimbert
Site internet : https://caforum.fr
Localisation : Pays de la Loire
Intérêt : GitHub

Re: .yml check - Compatibilité version 3.3.x

Message

Mise à jour en version 2.2.0-RC1 à télécharger

Téléchargement
Extensions .yml check

Patch français > ici
Partagez cette page
Twitter Whatsapp Linkedin Email
Vous devez être membre du forum pour répondre
Inscrivez-vous pour participer au forum ou Connecter-vous à votre compte.